com.informix.jdbc

## Class IfxStruct

- java.lang.Object
- - com.informix.jdbc.IfxStruct

All Implemented Interfaces:
  java.sql.Struct

    public class IfxStruct
    extends java.lang.Object
    implements java.sql.Struct

### Method Summary

Methods
`java.lang.Object[]` `getAttributes()` Produce the ordered values of the attributes of the SQL structured type.
`java.lang.Object[]` `getAttributes(java.util.Map<java.lang.String,java.lang.Class<?>> map)` Produce the ordered values of the attributes of the SQL structured type.
`java.lang.String` `getSQLTypeName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSQLTypeName

    public java.lang.String getSQLTypeName()

Specified by:
  `getSQLTypeName` in interface `java.sql.Struct`

#### getAttributes

    public java.lang.Object[] getAttributes()
                                     throws java.sql.SQLException

Produce the ordered values of the attributes of the SQL structured type. Use the type-map associated with the connection for customizations of the type-mappings. Conceptually, this method calls getObject() on each attribute of the structured type and returns a Java array containing the result.

Specified by:
  `getAttributes` in interface `java.sql.Struct`
Returns:
  an array containing the ordered attribute values
Throws:
  `java.sql.SQLException`

#### getAttributes

    public java.lang.Object[] getAttributes(java.util.Map<java.lang.String,java.lang.Class<?>> map)
                                     throws java.sql.SQLException

Produce the ordered values of the attributes of the SQL structured type. Use the given @map for type-map customizations. Conceptually, this method calls getObject() on each attribute of the structured type and returns a Java array containing the result.

Specified by:
  `getAttributes` in interface `java.sql.Struct`
Parameters:
  `map` - contains mapping of SQL type names to Java classes
Returns:
  an array containing the ordered attribute values
Throws:
  `java.sql.SQLException`